TAU_PROFILE_TIMER_SE(3)

NAME
TAU_PROFILE_TIMER_SET_NAME - Changes the name of a timer

SYNOPSIS

C/C++:

TAU_PROFILE_TIMER_SET_NAME(Profiler timer, string newname);

DESCRIPTION

TAU_PROFILE_TIMER_SET_NAME macro changes the name associated with a timer to the newname argument.

EXAMPLE

C/C++ :

void foo() {
  TAU_PROFILE_TIMER(timer1, "foo:loop1", " ", TAU_USER);
  ...
  TAU_PROFILE_TIMER_SET_NAME(timer1, "foo:lines 21-34");
}

SEE ALSO

TAU_PROFILE_TIMER(3)